API referenceEndpoints

Set dataset

Requires an authenticated tenant principal. Generated from the production route registered in `internal/features/projects/inbound/http.go`.

PUT/v1/projects/{id}/datasets/{dataset_id}

Requires an authenticated tenant principal. Generated from the production route registered in internal/features/projects/inbound/http.go.

Authorization

bearerAuth
AuthorizationBearer <token>

Engine-issued API key or tenant-signed JWT.

In: header

Path Parameters

id*string
Formatuuid
dataset_id*string
Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PUT "https://example.com/v1/projects/497f6eca-6276-4993-bfeb-53cbbbba6f08/datasets/497f6eca-6276-4993-bfeb-53cbbbba6f08" \  -H "Content-Type: application/json" \  -d '{}'
{}